FileBasedQueryMaker (Lucene 2.4.1 API)
Keywords: org.apache.lucene.benchmark.byTask.feeds.FileBasedQueryMaker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.feeds
Class FileBasedQueryMaker

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
          org.apache.lucene.benchmark.byTask.feeds.FileBasedQueryMaker

All Implemented Interfaces:
  QueryMaker

    public class FileBasedQueryMaker

extends AbstractQueryMaker
implements QueryMaker

Create queries from a FileReader. One per line, pass them through the QueryParser. Lines beginning with # are treated as comments File can be specified as a absolute, relative or resource. Two properties can be set: file.query.maker.file=<Full path to file containing queries>
file.query.maker.default.field=<Name of default field - Default value is "body"> Example: file.query.maker.file=c:/myqueries.txt file.query.maker.default.field=body

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
`config, qnum, queries`

Constructor Summary
`FileBasedQueryMaker()`

Method Summary
`protected Query[]` | `prepareQueries()`

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
`makeQuery, makeQuery, nextQnum, printQueries, resetInputs, setConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.lucene.benchmark.byTask.feeds.QueryMaker
`makeQuery, makeQuery, printQueries, resetInputs, setConfig`

Constructor Detail

### FileBasedQueryMaker

    public FileBasedQueryMaker()

Method Detail

### prepareQueries

    protected Query[] prepareQueries()
                              throws Exception

  Specified by:
    `prepareQueries` in class `AbstractQueryMaker`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.